Spout for After Effects

Home Forums Spout Developer Spout for After Effects

This topic contains 26 replies, has 5 voices, and was last updated by  benkuper 5 months, 2 weeks ago.

Viewing 12 posts - 16 through 27 (of 27 total)
  • Author
    Posts
  • #597

    benkuper
    Participant

    I tried to get the memory share working, without luck…
    i’ll wait either for the release to come out or for someone else to do it, because i don’t really understand memoryshare.

    As i can see, spout is able to detect if it should use memory share or DX interop, with the CheckInterop function.
    Is there maybe a way to handle everything inside SpoutSDK ?

    #600

    leadedge
    Keymaster

    “CheckInterop” just detects whether the hardware it texture share compatible or not. The automatic detection for memoryshare depends on using the top level “Spout” class, that works out compatibility and switches to either mode.

    There is a separate memoryshare class, but that just manages the synchronisation and transfer of data. You still need to manage the creation of and reading of shared memory in windows bitmap format.

    Given a template of what is needed, I can certainly do that no problem. But I have to focus on the revision right now. Working up from bottom to top I am at the upper levels now.

    #624

    yochee
    Participant

    Hi again! Waiting is no problem for me, I am just totally excited and enthusiastic about the new possibilities. Also the blender output node would be awesome, but maybe something to do for the blender community.
    Ben did a great job with SpoutAE already, much appreciated! Maybe I should just get a new computer šŸ˜‰

    Thank you!!

    #784

    benkuper
    Participant

    Hi yochee, did you manage to get the plugin working ?
    I’ve made some changes since last time, it may be compatible with memoryshare now.

    You can also test the latest spout version on github, you may have more luck.

    #1556

    tabulatouch
    Participant

    Hello,
    Any update to the AfterEffects plugin?
    Can it be compiled with latest Spout binaries?

    https://github.com/benkuper/Spout-AfterEffects

    SB

    #1566

    leadedge
    Keymaster

    According to Ben’s GitHub repository the plugin has not been updated. But it should still work with the latest Spout binaries. Are you having trouble with it?

    The latest changes in 2.003 are mainly to allow optional DirectX 11 or DirectX 9 installation. Hopefully this should resolve problems with Windows 8 and Optimus graphics. It should be compatible with previous releases.

    After some feedback with 2.003 I am planning release 2.004 which will include a user contribution for selecting between different graphics adapters for Spout output. I am also giving more thought to the DirectX 11 / DirectX 9 compatibility problem.

    #1591

    yochee
    Participant

    Hi all, hey Ben,

    finally got to get AfterEffects CS6. Tried it with Spout 2.003 beta and it works! Just follow the installation hints that come with the plugin! (plugin to plugin folder, dlls to .exe folder, start up and name a compo “AE”)

    Only one thing: the AE output is upside down in Resolume, so you will have to rotate the x-axis by 180 degrees!

    #3037

    yochee
    Participant

    … and the y.axis šŸ˜‰ but still works for me, even in spout 2.005.

    #3417

    lswl
    Participant

    Please help guys!

    I follow the instructions
    https://github.com/benkuper/Spout-AfterEffects/releases

    but when I open the AE program, an error message appear!

    After Effects error: plug-in “Spout.aex” could not be loaded (126).
    (48 :: 46)

    I have Adobe After Effects CC 12.0.0.404

    PLEASE HELP! HELP ME!

    #3418

    lswl
    Participant

    Please help guys!

    I follow the instructions
    https://github.com/benkuper/Spout-AfterEffects/releases

    but when I open the AE program, an error message appear!

    After Effects error: plug-in “Spout.aex” could not be loaded (126).
    (48 :: 46)

    I have Adobe After Effects CC 12.0.0.404
    and SPOUT SpoutSetup_V2.001-beta

    PLEASE HELP! HELP ME!

    • This reply was modified 5 months, 2 weeks ago by  lswl.
    #3421

    leadedge
    Keymaster

    Try upgrading your graphics driver, if you have not done so already, and download and install the latest version of Spout (2.006) from the download page on this site.

    #3422

    benkuper
    Participant

    Hi,
    as leadedge said, please update your Spout version to the latest.
    Also, just to be sure, the SpoutLibrary.dll file should not be in the same place as the Spout.aex, it has to be in the same fodler as the AfterFX.exe file (the “Support Files” folder)
    If you’re still having problems, please update After Effects to the latest version as well (i just tested with AE CC 2017 on a new machine and it works)

Viewing 12 posts - 16 through 27 (of 27 total)

You must be logged in to reply to this topic.